/**
 * DevExtreme (esm/ui/scheduler/workspaces/utils/base.js)
 * Version: 21.1.7
 * Build date: Mon Dec 06 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import dateUtils from "../../../../core/utils/date";
export var isDateInRange = (date, startDate, endDate, diff) => diff > 0 ? dateUtils.dateInRange(date, startDate, new Date(endDate.getTime() - 1)) : dateUtils.dateInRange(date, endDate, startDate, "date");
export var isSupportMultiDayAppointments = viewType => ["day", "timelineWeek", "timelineWorkWeek", "timelineMonth"].filter(item => item !== viewType).length > 0;
